# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    print("Disable WAPT WUA")
    inifile_writestring(WAPT.config_filename, "waptwua", "enabled", "false")

    print("Reload WAPT configuration")
    WAPT.reload_config_if_updated()

    # force = True
    if force:
        print("Remove WindowsUpdate registry key")
        registry_deletekey(HKEY_LOCAL_MACHINE, "Software\Policies\Microsoft\Windows", "WindowsUpdate", force=True)
        print("gpupdate /force")
        print(run("gpupdate /force"))

    else:
        print("DisableWindowsUpdateAccess registry to 0")
        registry_set(HKEY_LOCAL_MACHINE, r"Software\Policies\Microsoft\Windows\WindowsUpdate", "DisableWindowsUpdateAccess", 0)

        print("AUOptions registry to 0")
        registry_set(HKEY_LOCAL_MACHINE, r"SOFTWARE\Microsoft\Windows\CurrentVersion\WindowsUpdate\Auto Update", "AUOptions", 0)

    print("Enable wuauserv")
    run_notfatal("sc config wuauserv start= auto")
    run_notfatal("net start wuauserv")
